Subject: [dhcwg] Does ISC DHCP client support vendor-class-identifier?

From: "Morris, Kevin R (IndSys, SalemVA)" <[email-masked]>
Date: Wed, 4 Sep 2002 08:43:39 -0400

Folks,

First -- When is the 2nd edition of the DHCP Handbook coming out?

The parsing error message and client configuration files are below.  I've
read The DHCP Handbook (twice), searched the dhcp-client mail, read the RFC,
and did a Google search to no avail.  I could not find anywhere a specific
example of a vendor-class-identifier being used in the dhclient.conf file,
even in the man pages.  I think I got it right but obviously I don't.

What I'm I missing here?  I'm running version dhcp-3.0pl1 in QNX 6.2.

I can send a vendor-encapsulated-options as a string, but have not looked to
see if I can use as class information.

------- dhclient output
/etc/dhclient.conf line 8: no option named vendor-class-identifier
send vendor-class-identifier "GE IO Pack 01.00"
     ^
dhclient: Processing xPREINIT
add net 255.255.255.0: gateway 255.255.255.255
Listening on Socket/en0
Sending on   Socket/en0
DHCPREQUEST on en0 to 255.255.255.255 port 67
DHCPACK from 192.168.0.4
dhclient: Processing xREBOOT
dhclient: New Network Number: 192.168.0.0
dhclient: New Broadcast Address: 192.168.0.255
dhclient: New IP Address (en0): 192.168.0.191
dhclient: New Subnet Mask (en0): 255.255.255.0
dhclient: New Broadcast Address (en0): 192.168.0.255
bound to 192.168.0.191 -- renewal in 300 seconds.

------- dhclient.conf
send dhcp-client-identifier "test1";
send vendor-class-identifier "GE Remote IO Pack v01.00";
send host-name "test1";

GE Industrial Systems
Kevin R. Morris
NPI System Engineer 

GE Industrial Systems
1501 Roanoke Blvd., Rm. 291
Salem, VA  24153  USA
Phone: 540 387-8432  DC: *278-8432  Fax: 540 387-7631
[email-masked] <mailto:[email-masked]>
www.geindustrial.com

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg